MuleActivationSpec (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.MuleActivationSpec class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class MuleActivationSpec

    java.lang.Object
      org.mule.module.jca.MuleActivationSpec

All Implemented Interfaces:
  Serializable, ActivationSpec, ResourceAdapterAssociation

    public class MuleActivationSpec

extends Object
implements ActivationSpec, Serializable

`MuleActivationSpec` defines the contract between a Message Driven Bean (MDB) and the Mule Resource Adapter. This spec holds the configuration values used to register inbound communication with the Resource Adapter

See Also:
  Serialized Form

Constructor Summary
`MuleActivationSpec()`

Method Summary
`String` | `getConnectorName()`
`int` | `getCreateConnector()`
`String` | `getEndpoint()`
`String` | `getEndpointName()`
`String` | `getModelName()`
`Properties` | `getPropertiesMap()`
`ResourceAdapter` | `getResourceAdapter()`
`void` | `setConnectorName(String connectorName)`
`void` | `setCreateConnector(int createConnector)`
`void` | `setEndpoint(String endpoint)`
`void` | `setEndpointName(String endpointName)`
`void` | `setModelName(String modelName)`
`void` | `setPropertiesMap(Properties propertiesMap)`
`void` | `setPropertiesMap(String properties)`
`void` | `setResourceAdapter(ResourceAdapter resourceAdapter)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleActivationSpec

    public MuleActivationSpec()

Method Detail

### getPropertiesMap

    public Properties getPropertiesMap()

### setPropertiesMap

    public void setPropertiesMap(Properties propertiesMap)

### setPropertiesMap

    public void setPropertiesMap(String properties)

### getEndpointName

    public String getEndpointName()

### setEndpointName

    public void setEndpointName(String endpointName)

### getConnectorName

    public String getConnectorName()

### setConnectorName

    public void setConnectorName(String connectorName)

### getCreateConnector

    public int getCreateConnector()

### setCreateConnector

    public void setCreateConnector(int createConnector)

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### validate

    public void validate()
                  throws InvalidPropertyException

  Specified by:
    `validate` in interface `ActivationSpec`
  Throws:
    `InvalidPropertyException`

### getResourceAdapter

    public ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `ResourceAdapterAssociation`

### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter resourceAdapter)
                            throws ResourceException

  Specified by:
    `setResourceAdapter` in interface `ResourceAdapterAssociation`
  Throws:
    `ResourceException`

### getModelName

    public String getModelName()

### setModelName

    public void setModelName(String modelName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.